## sdlhaa 1.0.0

=== Makefile ===
all: 
	make -C src all

clean:
	make -C src clean

install:
	make -C src install

uninstall:
	make -C src uninstall
