## sdlhaa 1.1.0

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CC:=gcc
 
 RELEASE:=1.2
-VERSION:=0:1:0
+VERSION:=1:2:1
 
 SDL_HAA_TARGET:=libSDL_haa.la
 
@@ -31,11 +31,8 @@
 ifeq ($(DESTDIR),)
 	$(LIBTOOL) --mode=finish $(PREFIX)/lib
 endif
-	#ln -sf $(SDL_HAA_TARGET) $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_DEV_LINK)
 
 uninstall:
 	-$(LIBTOOL) --mode=uninstall rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_TARGET)
-	-rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_SONAME)
-	#-rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_DEV_LINK)
 	-rm $(DESTDIR)$(PREFIX)/include/SDL/SDL_haa.h
