=== test/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 TEST_LDLIBS:=$(shell sdl-config --libs) -lSDL_haa
 TEST_CFLAGS:=$(shell sdl-config --cflags)
 
-TESTS:=basic multi alpha fullscreen
+TESTS:=basic multi alpha fullscreen switch
 
 all: $(TESTS)
