=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V "libsdl-haa1.2-1 (>= 1.0.0)"
+	dh_makeshlibs -V "libsdl-haa1.2-1 (>= 1.1.0)"
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
